"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5602f70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c0d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c1f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c3a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c4c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c5e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c8b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560c9d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560ca60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560caf0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cb80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cc10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cdc0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cd30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560ce50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cee0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560cf70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f040>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f0d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f160>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f1f0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f280>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f310>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f3a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f430>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f4c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f550>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f5e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f670>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f700>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f790>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f820>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f8b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f940>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560f9d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fa60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560faf0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fb80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fc10>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fca0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fd30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fdc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fe50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560fee0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf560ff70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56140d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56141f0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614280>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614310>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56143a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614430>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56145e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56144c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614670>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614790>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614820>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56148b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf56149d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614af0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614b80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614ca0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614c10>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614d30>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614dc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614e50>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614ee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5614f70>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6bf5616040>)]
name: str = 'fr_HOCCN'
